This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 672141

Summary: [abrt] yum-3.2.29-2.fc15: __init__.py:1754:_lock:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 11: ordinal not in range(128)
Product: [Fedora] Fedora Reporter: Peter Hjalmarsson <kanelxake>
Component: yumAssignee: packaging-team-maint
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: ffesti, james.antill, maxamillion, pmatilai, sergio, spack.world, tla
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:661420d3
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-02-17 08:35:04 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
File: backtrace none

Description Peter Hjalmarsson 2011-01-24 02:18:57 EST
abrt version: 1.1.14
architecture: x86_64
cmdline: /usr/bin/python /usr/bin/yum -d 0 -C list available netb*
comment: This seems to have to do with me using LANG="sv_SE-UTF8" since it complains about a decode error on the frase "\xc3\x85tkomst nekas" which should probably be "√Ötkomst nekad" (Access denied in swedish). Something other seems to not go as planned because of the error message, but yum should still not crash because of it.
component: yum
executable: /usr/bin/yum
kernel: 2.6.38-0.rc2.git0.1.fc15.x86_64
package: yum-3.2.29-2.fc15
reason: __init__.py:1754:_lock:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 11: ordinal not in range(128)
release: Fedora release 15 (Rawhide)
time: 1295852465
uid: 500

backtrace
-----
__init__.py:1754:_lock:UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 11: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.user_main(sys.argv[1:], exit_code=True)
  File "/usr/share/yum-cli/yummain.py", line 262, in user_main
    errcode = main(args)
  File "/usr/share/yum-cli/yummain.py", line 97, in main
    base.doLock()
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1688, in doLock
    while not self._lock(lockfile, mypid, 0644):
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1754, in _lock
    errmsg = _('Could not create lock at %s: %s ') % (filename, str(msg))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 11: ordinal not in range(128)

Local variables in innermost frame:
self: <cli.YumBaseCli object at 0x1d79f90>
filename: '/var/cache/yum/x86_64/15/yum.pid'
lockdir: '/var/cache/yum/x86_64/15'
msg: OSError(13, '\xc3\x85tkomst nekas')
contents: '2942'
mode: 420

How to reproduce
-----
0. Install bash-completion
1. write "sudo yum install " in a terminal
2. press tab to get a list of installable packages
3. abrt reports a crash and you never get that list
Comment 1 Peter Hjalmarsson 2011-01-24 02:19:00 EST
Created attachment 474905 [details]
File: backtrace
Comment 2 Jimmy Thrasibule 2011-11-26 14:23:19 EST
*** Bug 757386 has been marked as a duplicate of this bug. ***
Comment 3 Fedora End Of Life 2013-04-03 13:34:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 4 Sergio Monteiro Basto 2013-05-20 15:13:22 EDT
ERROR: Command failed: 
 # ['/usr/bin/yum-builddep', '--installroot', '/var/lib/mock/fedora-19-x86_64/root/', '/var/lib/mock/fedora-19-x86_64/root///builddir/build/SRPMS/dpkg-1.16.10-3.fc19.src.rpm']
Getting requirements for dpkg-1.16.10-3.fc19.src
 --> zlib-devel-1.2.7-10.fc19.x86_64
 --> bzip2-devel-1.0.6-8.fc19.x86_64
 --> libselinux-devel-2.1.13-15.fc19.x86_64
 --> gettext-0.18.2.1-1.fc19.x86_64
 --> ncurses-devel-5.9-10.20130413.fc19.x86_64
 --> autoconf-2.69-10.fc19.noarch
 --> automake-1.13.1-15.fc19.noarch
 --> gettext-devel-0.18.2.1-1.fc19.x86_64
 --> 1:doxygen-1.8.3.1-2.fc19.x86_64
 --> flex-2.5.37-1.fc19.x86_64
 --> xz-devel-5.1.2-4alpha.fc19.x86_64
 --> po4a-0.42-3.fc19.noarch
 --> dotconf-devel-1.3-5.fc19.x86_64
Traceback (most recent call last):
  File "/usr/bin/yum-builddep", line 263, in <module>
    util = YumBuildDep()
  File "/usr/bin/yum-builddep", line 70, in __init__
    self.main()
  File "/usr/bin/yum-builddep", line 100, in main
    self.get_build_deps(opts)
  File "/usr/bin/yum-builddep", line 237, in get_build_deps
    self.install_deps(srpm.requiresList())
  File "/usr/bin/yum-builddep", line 166, in install_deps
    pkg = self.returnPackageByDep(dep)
  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 3974, in returnPackageByDep
    raise Errors.YumBaseError, _('No Package found for %s') % errstring
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc2 in position 0: ordinal not in range(128)
Comment 5 Fedora End Of Life 2015-01-09 11:31:24 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-02-17 08:35:04 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.